Name:          openblas
Version:       0.3.8
Release:       1mamba
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openblas.net
## GITSOURCE https://github.com/xianyi/OpenBLAS.git v0.3.7
Source:        https://github.com/xianyi/OpenBLAS.git/v%{version}/OpenBLAS-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libquadmath-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version

%description -n lib%{name}
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n OpenBLAS-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenblas.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openblas
%{_includedir}/openblas/*.h
%dir %{_includedir}/openblas/openblas
%{_includedir}/openblas/openblas/*.h
%{_libdir}/libopenblas.so
%{_libdir}/pkgconfig/openblas.pc
%dir %{_datadir}/cmake/OpenBLAS
%{_datadir}/cmake/OpenBLAS/OpenBLAS*.cmake
%doc README.md


%changelog
* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-1mamba
- package created using the webbuild interface
